<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class BookingDispatchRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'driver_id' => ['nullable', 'exists:drivers,id'],
            'status_id' => ['required', 'exists:booking_statuses,id'],
            'payment_method_id' => ['nullable', 'exists:payment_methods,id'],
            'note' => ['nullable', 'string', 'max:2000'],
        ];
    }
}
